BE-2021-0012: Out-of-bounds read and use-after-free vulnerabilities in MicroStation and MicroStation-based applications

Bentley ID: BE-2021-0012
CVE ID: CVE-2021-34886, CVE-2021-46620, CVE-2021-46630
Severity: 3.3 (low)
CVSS v3.1:  AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N
Publication date: 7th December 2021
Revision date: 4th February 2022


Description

Summary: 

MicroStation and MicroStation-based applications may be affected by out-of-bounds read or use-after-free vulnerabilities when opening maliciously crafted FBX files. Exploiting these vulnerabilities could lead to code execution.

Details: 

The following vulnerabilities related to this advisory were discovered by TrendMicro ZDI: ZDI-CAN-14839, ZDI-CAN-15414, ZDI-CAN-15460.

Using an affected version of MicroStation or MicroStation-based application to open a FBX file containing maliciously crafted data can force an out-of-bounds read or use-after-free vulnerability. Exploitation of these vulnerabilities within the parsing of FBX files could enable an attacker to execute arbitrary code in the context of the current process. 

 

Affected Versions:


Applications Affected Versions Mitigated Versions
MicroStation Versions prior to 10.16.02.* 10.16.02.* and more recent
Bentley View Versions prior to 10.16.02.* 10.16.02.* and more recent

Recommended Mitigations

Bentley recommends updating to the latest versions of MicroStation and MicroStation-based applications. As a general best practice, it is also recommended to only open FBX files coming from trusted sources.


Acknowledgement

 Thanks to Mat Powell of Trend Micro Zero Day Initiative for discovering these vulnerabilities.
 

Revision History

Date Description
7th December 2021 First version of the advisory
4th February 2022 Adding new CVE numbers provided by ZDI